JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.win32
Class WinDef.SCODE

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType
              com.sun.jna.platform.win32.WinDef.ULONG
                  com.sun.jna.platform.win32.WinDef.SCODE

All Implemented Interfaces:
  NativeMapped, java.io.Serializable

Enclosing interface:
  WinDef

    public static class WinDef.SCODE

extends WinDef.ULONG

The Class SCODE.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.jna.platform.win32.WinDef.ULONG
`SIZE`

Constructor Summary
`WinDef.SCODE()` Instantiates a new scode.
`WinDef.SCODE(int value)` Instantiates a new scode.

Method Summary

Methods inherited from class com.sun.jna.IntegerType
`doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinDef.SCODE

    public WinDef.SCODE()

  Instantiates a new scode.

### WinDef.SCODE

    public WinDef.SCODE(int value)

  Instantiates a new scode.

  Parameters:
    `value` - the value

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.